function CurseBarLoad()
    local width, height, scale = 60, 60, .636
    local CurseBarLastButton = "MultiBarBottomRightButton12"
    
    if IsUsableSpell(CurseBarSpells[1]) then
        -- BUTTON 1 ### AMPLIFY CURSE
        CurseBarButton1 = CreateFrame("Button", "CurseBarButton1", UIParent, "CurseBarButtonTemplate")
        CurseBarButton1:SetWidth(width); CurseBarButton1:SetHeight(height); CurseBarButton1:SetScale(scale)
        CurseBarButton1:EnableMouse(true); CurseBarButton1:SetPoint("CENTER", MultiBarBottomRightButton12, "TOP", 0, 68)
        
        CurseBarButton1:SetAttribute("type", "spell")
        CurseBarButton1:SetAttribute("spell", CurseBarSpells[1])

        CurseBarButton1:SetScript("OnLeave", function() GameTooltip:Hide() end)
        CurseBarButton1:SetScript("OnEnter", function() GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(CurseBar_SpellNumber(CurseBarSpells[1]), BOOKTYPE_SPELL); GameTooltip:Show() end)

        local t = CurseBarButton1:CreateTexture(nil,"BACKGROUND")
            t:SetTexture(GetSpellTexture(CurseBarSpells[1]))
            t:SetAllPoints(CurseBarButton1)
            CurseBarButton1.texture = t

        CurseBarLastButton = CurseBarButton1
    end
    
    if IsUsableSpell(CurseBarSpells[2]) then
        -- BUTTON 2 ### CURSE OF EXHAUSTION
        CurseBarButton2 = CreateFrame("Button", "CurseBarButton2", UIParent, "CurseBarButtonTemplate")
        CurseBarButton2:SetWidth(width); CurseBarButton2:SetHeight(height); CurseBarButton2:SetScale(scale)
        CurseBarButton2:EnableMouse(true); CurseBarButton2:SetPoint("CENTER", CurseBarLastButton, "LEFT", -36, 0)
        
        if (CurseBarLastButton == "MultiBarBottomRightButton12") then CurseBarButton3:ClearAllPoints(); CurseBarButton2:SetPoint("CENTER", MultiBarBottomRightButton12, "TOP", 0, 68) end
        
        CurseBarButton2:SetAttribute("type", "spell")
        CurseBarButton2:SetAttribute("spell", CurseBarSpells[2])

        CurseBarButton2:SetScript("OnLeave", function() GameTooltip:Hide() end)
        CurseBarButton2:SetScript("OnEnter", function() GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(CurseBar_SpellNumber(CurseBarSpells[2]), BOOKTYPE_SPELL); GameTooltip:Show() end)

        local t = CurseBarButton2:CreateTexture(nil,"BACKGROUND")
            t:SetTexture(GetSpellTexture(CurseBarSpells[2]))
            t:SetAllPoints(CurseBarButton2)
            CurseBarButton2.texture = t
            
        CurseBarLastButton = CurseBarButton2
    end

    if IsUsableSpell(CurseBarSpells[3]) then
        -- BUTTON 3 ### CURSE OF AGONY
        CurseBarButton3 = CreateFrame("Button", "CurseBarButton3", UIParent, "CurseBarButtonTemplate")
        CurseBarButton3:SetWidth(width); CurseBarButton3:SetHeight(height); CurseBarButton3:SetScale(scale)
        CurseBarButton3:EnableMouse(true); CurseBarButton3:SetPoint("CENTER", CurseBarLastButton, "BOTTOM", -36, 0)
        
        if (CurseBarLastButton == "MultiBarBottomRightButton12") then CurseBarButton3:ClearAllPoints(); CurseBarButton3:SetPoint("CENTER", MultiBarBottomRightButton12, "TOP", 0, 38) end
        
        CurseBarButton3:SetAttribute("type", "spell")
        CurseBarButton3:SetAttribute("spell", CurseBarSpells[3])

        CurseBarButton3:SetScript("OnLeave", function() GameTooltip:Hide() end)
        CurseBarButton3:SetScript("OnEnter", function() GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(CurseBar_SpellNumber(CurseBarSpells[3]), BOOKTYPE_SPELL); GameTooltip:Show() end)

        local t = CurseBarButton3:CreateTexture(nil,"BACKGROUND")
            t:SetTexture(GetSpellTexture(CurseBarSpells[3]))
            t:SetAllPoints(CurseBarButton3)
            CurseBarButton3.texture = t
            
        CurseBarLastButton = CurseBarButton3
    end

    if IsUsableSpell(CurseBarSpells[4]) then
        -- BUTTON 4 ### CURSE OF DOOM
        CurseBarButton4 = CreateFrame("Button", "CurseBarButton4", UIParent, "CurseBarButtonTemplate")
        CurseBarButton4:SetWidth(width); CurseBarButton4:SetHeight(height); CurseBarButton4:SetScale(scale)
        CurseBarButton4:EnableMouse(true); CurseBarButton4:SetPoint("CENTER", CurseBarLastButton, "LEFT", -36, 0)
        
        CurseBarButton4:SetAttribute("type", "spell")
        CurseBarButton4:SetAttribute("spell", CurseBarSpells[4])

        CurseBarButton4:SetScript("OnLeave", function() GameTooltip:Hide() end)
        CurseBarButton4:SetScript("OnEnter", function() GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(CurseBar_SpellNumber(CurseBarSpells[4]), BOOKTYPE_SPELL); GameTooltip:Show() end)

        local t = CurseBarButton4:CreateTexture(nil,"BACKGROUND")
            t:SetTexture(GetSpellTexture(CurseBarSpells[4]))
            t:SetAllPoints(CurseBarButton4)
            CurseBarButton4.texture = t
        
        CurseBarLastButton = CurseBarButton4
    end
    
    if IsUsableSpell(CurseBarSpells[5]) then
        -- BUTTON 5 ### CURSE OF RECKLESSNESS
        CurseBarButton5 = CreateFrame("Button", "CurseBarButton5", UIParent, "CurseBarButtonTemplate")
        CurseBarButton5:SetWidth(width); CurseBarButton5:SetHeight(height); CurseBarButton5:SetScale(scale)
        CurseBarButton5:EnableMouse(true); CurseBarButton5:SetPoint("CENTER", CurseBarLastButton, "LEFT", -36, 0)
        
        CurseBarButton5:SetAttribute("type", "spell")
        CurseBarButton5:SetAttribute("spell", CurseBarSpells[5])

        CurseBarButton5:SetScript("OnLeave", function() GameTooltip:Hide() end)
        CurseBarButton5:SetScript("OnEnter", function() GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(CurseBar_SpellNumber(CurseBarSpells[5]), BOOKTYPE_SPELL); GameTooltip:Show() end)

        local t = CurseBarButton5:CreateTexture(nil,"BACKGROUND")
            t:SetTexture(GetSpellTexture(CurseBarSpells[5]))
            t:SetAllPoints(CurseBarButton5)
            CurseBarButton5.texture = t
        
        CurseBarLastButton = CurseBarButton5
    end

    if IsUsableSpell(CurseBarSpells[6]) then
        -- BUTTON 6 ### CURSE OF SHADOW
        CurseBarButton6 = CreateFrame("Button", "CurseBarButton6", UIParent, "CurseBarButtonTemplate")
        CurseBarButton6:SetWidth(width); CurseBarButton6:SetHeight(height); CurseBarButton6:SetScale(scale)
        CurseBarButton6:EnableMouse(true); CurseBarButton6:SetPoint("CENTER", CurseBarLastButton, "LEFT", -36, 0)
        
        CurseBarButton6:SetAttribute("type", "spell")
        CurseBarButton6:SetAttribute("spell", CurseBarSpells[6])

        CurseBarButton6:SetScript("OnLeave", function() GameTooltip:Hide() end)
        CurseBarButton6:SetScript("OnEnter", function() GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(CurseBar_SpellNumber(CurseBarSpells[6]), BOOKTYPE_SPELL); GameTooltip:Show() end)

        local t = CurseBarButton6:CreateTexture(nil,"BACKGROUND")
            t:SetTexture(GetSpellTexture(CurseBarSpells[6]))
            t:SetAllPoints(CurseBarButton6)
            CurseBarButton6.texture = t
    
        CurseBarLastButton = CurseBarButton6
    end

    if IsUsableSpell(CurseBarSpells[7]) then
        -- BUTTON 7 ### CURSE OF ELEMENTS
        CurseBarButton7 = CreateFrame("Button", "CurseBarButton7", UIParent, "CurseBarButtonTemplate")
        CurseBarButton7:SetWidth(width); CurseBarButton7:SetHeight(height); CurseBarButton7:SetScale(scale)
        CurseBarButton7:EnableMouse(true); CurseBarButton7:SetPoint("CENTER", CurseBarLastButton, "LEFT", -36, 0)
        
        CurseBarButton7:SetAttribute("type", "spell")
        CurseBarButton7:SetAttribute("spell", CurseBarSpells[7])

        CurseBarButton7:SetScript("OnLeave", function() GameTooltip:Hide() end)
        CurseBarButton7:SetScript("OnEnter", function() GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(CurseBar_SpellNumber(CurseBarSpells[7]), BOOKTYPE_SPELL); GameTooltip:Show() end)

        local t = CurseBarButton7:CreateTexture(nil,"BACKGROUND")
            t:SetTexture(GetSpellTexture(CurseBarSpells[7]))
            t:SetAllPoints(CurseBarButton7)
            CurseBarButton7.texture = t

        CurseBarLastButton = CurseBarButton7
    end

    if IsUsableSpell(CurseBarSpells[8]) then
        -- BUTTON 8 ### CURSE OF TONGUES
        CurseBarButton8 = CreateFrame("Button", "CurseBarButton8", UIParent, "CurseBarButtonTemplate")
        CurseBarButton8:SetWidth(width); CurseBarButton8:SetHeight(height); CurseBarButton8:SetScale(scale)
        CurseBarButton8:EnableMouse(true); CurseBarButton8:SetPoint("CENTER", CurseBarLastButton, "LEFT", -36, 0)
        
        CurseBarButton8:SetAttribute("type", "spell")
        CurseBarButton8:SetAttribute("spell", CurseBarSpells[8])

        CurseBarButton8:SetScript("OnLeave", function() GameTooltip:Hide() end)
        CurseBarButton8:SetScript("OnEnter", function() GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(CurseBar_SpellNumber(CurseBarSpells[8]), BOOKTYPE_SPELL); GameTooltip:Show() end)

        local t = CurseBarButton8:CreateTexture(nil,"BACKGROUND")
            t:SetTexture(GetSpellTexture(CurseBarSpells[8]))
            t:SetAllPoints(CurseBarButton8)
            CurseBarButton8.texture = t

        CurseBarLastButton = CurseBarButton8
    end

    if IsUsableSpell(CurseBarSpells[9]) then
        -- BUTTON 9 ### CURSE OF WEAKNESS
        CurseBarButton9 = CreateFrame("Button", "CurseBarButton9", UIParent, "CurseBarButtonTemplate")
        CurseBarButton9:SetWidth(width); CurseBarButton9:SetHeight(height); CurseBarButton9:SetScale(scale)
        CurseBarButton9:EnableMouse(true); CurseBarButton9:SetPoint("CENTER", CurseBarLastButton, "LEFT", -36, 0)
        
        CurseBarButton9:SetAttribute("type", "spell")
        CurseBarButton9:SetAttribute("spell", CurseBarSpells[9])

        CurseBarButton9:SetScript("OnLeave", function() GameTooltip:Hide() end)
        CurseBarButton9:SetScript("OnEnter", function() GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(CurseBar_SpellNumber(CurseBarSpells[9]), BOOKTYPE_SPELL); GameTooltip:Show() end)

        local t = CurseBarButton9:CreateTexture(nil,"BACKGROUND")
            t:SetTexture(GetSpellTexture(CurseBarSpells[9]))
            t:SetAllPoints(CurseBarButton9)
            CurseBarButton9.texture = t
    end
end