CurseBar = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceConsole-2.0", "AceDB-2.0")
CurseBar:RegisterChatCommand("/CurseBar", "/epb", nil)

function CurseBar:OnEnable()
    self:RegisterEvent("SPELL_UPDATE_COOLDOWN")
    self:RegisterEvent("PLAYER_ENTERING_WORLD")
end

function CurseBar:PLAYER_ENTERING_WORLD()
    if CurseBarClassCheck() then
        CurseBarLoad()
    end
end

-- UPDATE COOLDOWN
function CurseBar:SPELL_UPDATE_COOLDOWN()
    if EasyPetClassCheck() then
        for i = 1, countEntries(CurseBarSpells) do
            if (GetSpellCooldown(CurseBarSpells[i]) ~= nil and GetSpellCooldown(CurseBarSpells[i]) > 0) then
                local start, duration, enable = GetSpellCooldown(CurseBarSpells[i])
                getglobal("CurseBarButton".. i .."Cooldown"):SetCooldown(start, duration)
            end
        end
    end
end

-- RETURN CLASS
function CurseBarClassCheck()
    local _, class = UnitClass("player")
    if class == "WARLOCK" then return true else return false end
end

-- FIND SPELL NUMBER
function CurseBar_SpellNumber(spell)
    local i = 1
    while true do
       local spellName, spellRank = GetSpellName(i, BOOKTYPE_SPELL)
       if not spellName then
          do break end
       end
       
       if (spellName == spell) then return i end
       
       i = i + 1
    end
end

-- COUNT TOTAL ENTRIES IN A TABLE
function countEntries(tbl)
  local cnt = 0;
  for k in pairs(tbl) do cnt = cnt + 1; end
  return cnt
end